accrue.analysis.ast

## Class Suppress_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Expr_c
      - - accrue.analysis.ast.Suppress_c

- All Implemented Interfaces:
    Suppress, java.io.Serializable, java.lang.Cloneable, polyglot.ast.Expr, polyglot.ast.ExprOps, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.Typed, polyglot.util.Copy<polyglot.ast.Node>

      public class Suppress_c
      extends polyglot.ast.Expr_c
      implements Suppress

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Expr_c

      `type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Suppress_c(polyglot.util.Position pos, java.util.List<polyglot.ast.TypeNode> suppressExs, polyglot.ast.Expr expr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> java.util.List<T>` | `acceptCFG(polyglot.visit.CFGBuilder<?> v, java.util.List<T> succs)`
    `polyglot.ast.Expr` | `expr()`
    `polyglot.ast.Term` | `firstChild()`
    `boolean` | `isDisambiguated()`
    `boolean` | `suppress(polyglot.types.Type ct)`
    `java.util.List<polyglot.types.ClassType>` | `suppressExceptionTypes()`
    `java.lang.String` | `toString()`
    `polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

    - ### Methods inherited from class polyglot.ast.Expr_c

      `booleanValue, buildTypes, byteValue, charValue, constantValue, constantValue, constantValueSet, constantValueSet, doubleValue, dump, extRewrite, floatValue, intValue, isConstant, isConstant, isTypeChecked, lastLang, longValue, precedence, printSubExpr, printSubExpr, shortValue, stringValue, type, type, type`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Expr

      `constantValue, constantValueSet, isConstant, precedence, printSubExpr, printSubExpr, type`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

- - ### Constructor Detail

    - #### Suppress_c

          public Suppress_c(polyglot.util.Position pos,
                    java.util.List<polyglot.ast.TypeNode> suppressExs,
                    polyglot.ast.Expr expr)

  - ### Method Detail

    - #### isDisambiguated

          public boolean isDisambiguated()

      Specified by:
        `isDisambiguated` in interface `polyglot.ast.Node`
      Overrides:
        `isDisambiguated` in class `polyglot.ast.Node_c`

    - #### typeCheck

          public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                      throws polyglot.types.SemanticException

      Specified by:
        `typeCheck` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheck` in class `polyglot.ast.Node_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### firstChild

          public polyglot.ast.Term firstChild()

      Specified by:
        `firstChild` in interface `polyglot.ast.TermOps`
      Specified by:
        `firstChild` in class `polyglot.ast.Term_c`

    - #### acceptCFG

          public <T> java.util.List<T> acceptCFG(polyglot.visit.CFGBuilder<?> v,
                                        java.util.List<T> succs)

      Specified by:
        `acceptCFG` in interface `polyglot.ast.TermOps`
      Specified by:
        `acceptCFG` in class `polyglot.ast.Term_c`

    - #### suppress

          public boolean suppress(polyglot.types.Type ct)

      Specified by:
        `suppress` in interface `Suppress`

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `polyglot.ast.Node_c`

    - #### expr

          public polyglot.ast.Expr expr()

      Specified by:
        `expr` in interface `Suppress`

    - #### suppressExceptionTypes

          public java.util.List<polyglot.types.ClassType> suppressExceptionTypes()

      Specified by:
        `suppressExceptionTypes` in interface `Suppress`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `polyglot.ast.Node_c`